[doc] IO::Buffer examples try to write into readonly buffer returned from IO::Buffer.for

09/18/2024 10:17 AM - hanazuki (Kasumi Hanazuki)

Status: Closed   

Priority: Normal   

Assignee: ioquatix (Samuel Williams)   

Target version:    

ruby -v: ruby 3.4.0dev (2024-09-18T02:16:22Z

master 4797b0704a) +PRISM

[x86_64-linux]

Backport: 3.1: UNKNOWN, 3.2: UNKNOWN, 3.3:

UNKNOWN

Description

IO::Buffer.for without a block returns a readonly IO::Buffer. Some examples in the documentation for IO::Buffer write into the readonly

buffers, which actually raise an IO::Buffer::AccessError.

From IO::Buffer#clear:

buffer = IO::Buffer.for('test')

# =>

#   <IO::Buffer 0x00007fca40087c38+4 SLICE>

#   0x00000000  74 65 73 74         test

buffer.clear

# =>

#   <IO::Buffer 0x00007fca40087c38+4 SLICE>

#   0x00000000  00 00 00 00         ....

 

From IO::Buffer#copy:

string= "data:    "

# => "data:    "

buffer = IO::Buffer.for(string)

buffer.copy(IO::Buffer.for("test"), 5)

# => 4

 

And IO::Buffer#slice, which should be fixed along with its implementation #20752

History

#1 - 09/30/2024 05:19 AM - mame (Yusuke Endoh)

- Assignee set to ioquatix (Samuel Williams)

#2 - 09/30/2024 12:22 PM - ioquatix (Samuel Williams)

https://github.com/ruby/ruby/pull/11737

#3 - 11/05/2024 03:52 PM - ioquatix (Samuel Williams)

- Status changed from Open to Closed

Thanks for your report, this is now fixed.

Powered by TCPDF (www.tcpdf.org)

05/12/2025 1/1

https://redmine.ruby-lang.org/issues/20752
https://github.com/ruby/ruby/pull/11737
http://www.tcpdf.org

